<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Basic -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <!-- Site Metas -->
    <title>View & update profile </title>
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="shortcut icon" href="../static/images/favicon.ico" type="image/x-icon"
          th:href="@{../static/images/favicon.ico}">
    <link rel="apple-touch-icon" href="../static/images/apple-touch-icon.png"
          th:href="@{../static/images/apple-touch-icon.png}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="../static/bootstrap.min.css" th:href="@{/bootstrap.min.css}">
    <!-- Site CSS -->
    <link rel="stylesheet" href="../static/style.css" th:href="@{/style.css}">
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="../static/responsive.css" th:href="@{/responsive.css}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="../static/custom.css" th:href="@{/custom.css}">
    <script src="../js/modernizr.js" th:href="@{/modernizr.js}"></script> <!-- Modernizr -->

</head>
<body id="page-top" class="politics_version">

<nav th:replace="/fragments/organizer-navbar.html :: navbar"></nav>


<div id="contact" class="section db" style="height: inherit">
    <div class="container">
        <div class="section-title text-center">
            <h3>A list of all our photo junkies</h3>
        </div><!-- end title -->

        <div class="row" style="padding-left: 10px; padding-right: 10px">

            <div class="col-md-12">

                <form action="#" th:action="@{/users/filter}" th:object="${filterUserDto}" method="post">
                    <input type="text" th:field="*{search}" placeholder="Search...">

                    <select th:field="*{sort}">
                        <option selected th:value="null"> Not ordered</option>
                        <option th:each="option : ${sortUserOptions}"
                                th:value="${option.getPreview()}"
                                th:text="${option.getPreview()}">
                            Posts
                        </option>
                    </select>
                    <input type="submit" value="Go"/>
                </form>

                <div class="contact_form">
                    <div class="roww-users" >
                    <div id="message"></div>
                    <div class="col-md-3">
                        <h3 style="color: black">Username</h3>
                    </div>
                    <div class="col-md-4">
                        <h3 style="color: black">Full name</h3>
                    </div>
                    <div class="col-md-2">
                        <h3 style="color: black">Date</h3>
                    </div>
                    <div class="col-md-1">
                        <h3 style="color: black">Points</h3>
                    </div>
                        <div class="col-md-2">
                            <h3 style="color: black">Type</h3>
                        </div>
                    </div>
                    <div class="roww-users" th:each="user : ${users}">

                        <div class="col-md-3" style="border-bottom: 1px solid black">
                            <a href="#" th:href="@{/users/{id} (id=${user.getId()})}"
                               th:text="${user.getUsername()}">Username</a>
                        </div>
                        <div class="col-md-4" style="border-bottom: 1px solid black">
                            <span></span><a href="#" th:href="@{/users/{id} (id=${user.getId()})}"
                               th:text="${user.getFirstName()}">Full name</a></span>
                            <span></span><a href="#" th:href="@{/users/{id} (id=${user.getId()})}"
                                            th:text="${user.getLastName()}">Full name</a></span>
                        </div>


                        <div class="col-md-2" style="border-bottom: 1px solid black">
                            <span th:text="${#temporals.format(user.getDate(), 'dd-MMM-yyyy')}">Date</span>
                        </div>
                        <div class="col-md-1" style="border-bottom: 1px solid black">
                            <p th:text="${user.getRanking()}">Points</p>
                        </div>
                        <div class="col-md-2" style="border-bottom: 1px solid black">

                            <div th:if="${user.isOrganizer() == false}">
                                <p><span th:if="${user.getRanking() < 51}">Junkie</span>
                                    <span th:if="${user.getRanking() lt 151 and user.getRanking() gt 50}">Enthusiast</span>
                                    <span th:if="${user.getRanking() lt 1001 and user.getRanking() gt 150}">Master</span>
                                    <span th:if="${user.getRanking() > 1000}">Photo Dictator</span>
                                </p>
                            </div>
                            <div th:if="${user.isOrganizer() == true}">
                                <h5 th:text="#{organizer}">Organizer </h5>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div><!-- end col -->
</div><!-- end row -->


<footer th:replace="/fragments/footer.html :: footer"></footer>


<a href="#" id="scroll-to-top" class="dmtop global-radius"><i class="fa fa-camera" aria-hidden="true"></i></a>

<!-- ALL JS FILES -->
<script src="../js/all.js" th:src="@{/js/all.js}"></script>
<!-- Camera Slider -->
<script src="../js/jquery.mobile.customized.min.js" th:src="@{/js/jquery.mobile.customized.min.js}"></script>
<script src="../js/jquery.easing.1.3.js" th:src="@{/js/jquery.easing.1.3.js}"></script>
<script src="../js/parallaxie.js" th:src="@{/js/parallaxie.js}"></script>
<script src="../js/headline.js" th:src="@{/js/headline.js}"></script>
<script src="../js/jquery.appear.min.js" th:src="@{/js/jquery.appear.min.js}"></script>
<script src="../js/skill.bars.jquery.js" th:src="@{/js/skill.bars.jquery.js}"></script>
<!--<script src="../js/responsiveslides.min.js"></script>-->
<!-- Contact form JavaScript -->
<script src="../js/jqBootstrapValidation.js" th:src="@{/js/jqBootstrapValidation.js}"></script>
<script src="../js/contact_me.js" th:src="@{/js/contact_me.js}"></script>
<!-- ALL PLUGINS -->
<script src="../js/jquery.fatNav.min.js" th:src="@{/js/jquery.fatNav.min.js}"></script>
<!--<script src="../js/main.js" th:src="@{../js/main.js}"></script>-->
<script src="../js/custom.js" th:src="@{/js/custom.js}"></script>

</body>
</html>